{
  "name": "@openstapps/core-tools",
  "description": "Tools to convert and validate StAppsCore",
  "version": "3.0.0",
  "type": "module",
  "license": "GPL-3.0-only",
  "repository": "git@gitlab.com:openstapps/core-tools.git",
  "author": "Karl-Philipp Wulfert <krlwlfrt@gmail.com>",
  "contributors": [
    "Anselm Stordeur <anselmstordeur@gmail.com>",
    "Jovan Krunić <jovan.krunic@gmail.com>",
    "Michel Jonathan Schmitz",
    "Rainer Killinger <mail-openstapps@killinger.co>",
    "Thea Schöbl <dev@theaninova.de>"
  ],
  "keywords": [
    "StApps",
    "StAppsCore",
    "converter",
    "core",
    "validator"
  ],
  "main": "./lib/index.js",
  "types": "./lib/index.d.ts",
  "bin": {
    "openstapps-core-tools": "app.js"
  },
  "files": [
    "app.js",
    "lib",
    "Dockerfile",
    "README.md",
    "CHANGELOG.md"
  ],
  "scripts": {
    "build": "tsup-node --dts",
    "docs": "typedoc --json ./docs/docs.json --options ../../typedoc.base.json src/index.ts",
    "format": "prettier . -c --ignore-path ../../.gitignore",
    "format:fix": "prettier --write . --ignore-path ../../.gitignore",
    "lint": "eslint --ext .ts src/",
    "lint:fix": "eslint --fix --ext .ts src/",
    "plantuml-restart": "docker restart plantuml-server",
    "plantuml-start": "docker run --name plantuml-server -d -p 8080:8080 registry.gitlab.com/openstapps/core-tools:latest",
    "plantuml-stop": "docker stop plantuml-server",
    "test": "c8 mocha"
  },
  "dependencies": {
    "@openstapps/collection-utils": "workspace:*",
    "@openstapps/easy-ast": "workspace:*",
    "@openstapps/logger": "workspace:*",
    "ajv": "8.12.0",
    "better-ajv-errors": "1.2.0",
    "commander": "10.0.0",
    "deepmerge": "4.3.1",
    "del": "6.1.1",
    "flatted": "3.2.7",
    "fs-extra": "10.1.0",
    "glob": "10.3.10",
    "got": "12.6.0",
    "humanize-string": "3.0.0",
    "json-schema": "0.4.0",
    "mustache": "4.2.0",
    "openapi-types": "12.1.0",
    "plantuml-encoder": "1.4.0",
    "re2": "1.18.2",
    "toposort": "2.0.2",
    "ts-json-schema-generator": "1.2.0"
  },
  "devDependencies": {
    "@openstapps/eslint-config": "workspace:*",
    "@openstapps/prettier-config": "workspace:*",
    "@openstapps/tsconfig": "workspace:*",
    "@types/chai": "4.3.5",
    "@types/fs-extra": "9.0.13",
    "@types/glob": "8.1.0",
    "@types/json-schema": "7.0.11",
    "@types/mocha": "10.0.1",
    "@types/mustache": "4.2.2",
    "@types/node": "18.15.3",
    "c8": "7.14.0",
    "chai": "4.3.7",
    "mocha": "10.2.0",
    "mocha-junit-reporter": "2.2.0",
    "nock": "13.3.1",
    "ts-node": "10.9.2",
    "tsup": "6.7.0",
    "typedoc": "0.25.12",
    "typescript": "5.4.2"
  },
  "tsup": {
    "entry": [
      "src/app.ts",
      "src/index.ts"
    ],
    "sourcemap": true,
    "clean": true,
    "format": "esm",
    "outDir": "lib"
  },
  "prettier": "@openstapps/prettier-config",
  "eslintConfig": {
    "extends": [
      "@openstapps"
    ]
  },
  "eslintIgnore": [
    "resources"
  ]
}
